using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability370.Domain;

public class TaobaoTbkDgMaterialTemporaryOptionalStepRateDTO
{

    /*
        前N件剩余库存
    */
    private long? topnQuantity;


    /*
        前N件初始总库存
    */
    private long? topnTotalCount;


    /*
        前N件佣金结束时间
    */
    private string? topnEndTime;


    /*
        前N件佣金开始时间
    */
    private string? topnStartTime;


    /*
        前N件佣金率
    */
    private string? topnRate;



    [JsonPropertyName("topn_quantity")]
    public long? TopnQuantity
    {
        get => topnQuantity;
        set => this.topnQuantity = value;
    }

    [JsonPropertyName("topn_total_count")]
    public long? TopnTotalCount
    {
        get => topnTotalCount;
        set => this.topnTotalCount = value;
    }

    [JsonPropertyName("topn_end_time")]
    public string? TopnEndTime
    {
        get => topnEndTime;
        set => this.topnEndTime = value;
    }

    [JsonPropertyName("topn_start_time")]
    public string? TopnStartTime
    {
        get => topnStartTime;
        set => this.topnStartTime = value;
    }

    [JsonPropertyName("topn_rate")]
    public string? TopnRate
    {
        get => topnRate;
        set => this.topnRate = value;
    }

}

